void
show_histogram_text(std::vector <size_t> stolb, size_t bucket) {
    const size_t SCREEN_WIDTH = 80;
    const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;
    int maxlen = 0;

    for (int j = 0; j < bucket; j++)
    {
        if (maxlen<stolb[j]) maxlen = stolb[j];
    }

    for (int j = 0; j < bucket; j++)
    {
        if (stolb[j] < 100) std::cout << " ";
        if (stolb[j] < 10) std::cout << " ";
        std::cout << stolb[j] << "|";
        size_t height = stolb[j];
        if (maxlen > MAX_ASTERISK)
        {
            if (maxlen != stolb[j]) height = MAX_ASTERISK * (static_cast <float> (stolb[j])/maxlen);
            else if (maxlen == stolb[j]) height = MAX_ASTERISK;
        }
        for (int i = 0; i < height; i++) std::cout << "*";
        std::cout << "\n";
    }
}
